Debian Bug report logs - #578806
maildir-utils: ignores --clearlinks

version graph

Package: maildir-utils; Maintainer for maildir-utils is Norbert Preining <preining@debian.org>; Source for maildir-utils is src:maildir-utils.

Reported by: Philipp Weis <pweis@pweis.com>

Date: Thu, 22 Apr 2010 19:48:02 UTC

Severity: normal

Found in version maildir-utils/0.7-1

Fixed in version maildir-utils/0.7-2

Done: Norbert Preining <preining@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Norbert Preining <preining@debian.org>:
Bug#578806; Package maildir-utils. (Thu, 22 Apr 2010 19:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Weis <pweis@pweis.com>:
New Bug report received and forwarded. Copy sent to Norbert Preining <preining@debian.org>. (Thu, 22 Apr 2010 19:48:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Philipp Weis <pweis@pweis.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: maildir-utils: ignores --clearlinks
Date: Thu, 22 Apr 2010 15:44:22 -0400
[Message part 1 (text/plain, inline)]
Package: maildir-utils
Version: 0.7-1
Severity: normal

The --clearlinks option doesn't seem to do anything.

If I run "mu find xx -l ~/.mu/results --clearlinks", the previously
existing links are still there, mixing up the search results from two
different searches. If I repeat the same search twice, mu even warns
about the links existing already.

Philipp


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (600, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages maildir-utils depends on:
ii  libc6                   2.10.2-6         Embedded GNU C Library: Shared lib
ii  libgcc1                 1:4.4.3-9        GCC support library
ii  libglib2.0-0            2.24.0-1         The GLib library of C routines
ii  libgmime-2.4-2          2.4.14-1+nmu1    MIME message parser and creator li
ii  libstdc++6              4.4.3-9          The GNU Standard C++ Library v3
ii  libxapian15             1.0.19-1         Search engine library
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

maildir-utils recommends no packages.

maildir-utils suggests no packages.

-- no debconf information
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Preining <preining@debian.org>:
Bug#578806; Package maildir-utils. (Sun, 31 Oct 2010 18:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonin Kral <A.Kral@bobek.cz>:
Extra info received and forwarded to list. Copy sent to Norbert Preining <preining@debian.org>. (Sun, 31 Oct 2010 18:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 578806@bugs.debian.org (full text, mbox):

From: Antonin Kral <A.Kral@bobek.cz>
To: 578806@bugs.debian.org
Subject: Re: maildir-utils: ignores --clearlinks
Date: Sun, 31 Oct 2010 19:46:23 +0100
Hi,

I have the same problem. I've filled the upstream ticket with patch as
the problem is in use of stat() instead of lstat().

Ticket: http://code.google.com/p/mu0/issues/detail?id=28

    Antonin




Reply sent to Norbert Preining <preining@debian.org>:
You have taken responsibility. (Mon, 01 Nov 2010 15:51:03 GMT) Full text and rfc822 format available.

Notification sent to Philipp Weis <pweis@pweis.com>:
Bug acknowledged by developer. (Mon, 01 Nov 2010 15:51:03 GMT) Full text and rfc822 format available.

Message #15 received at 578806-close@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@debian.org>
To: 578806-close@bugs.debian.org
Subject: Bug#578806: fixed in maildir-utils 0.7-2
Date: Mon, 01 Nov 2010 15:47:11 +0000
Source: maildir-utils
Source-Version: 0.7-2

We believe that the bug you reported is fixed in the latest version of
maildir-utils, which is due to be installed in the Debian FTP archive:

maildir-utils_0.7-2.diff.gz
  to main/m/maildir-utils/maildir-utils_0.7-2.diff.gz
maildir-utils_0.7-2.dsc
  to main/m/maildir-utils/maildir-utils_0.7-2.dsc
maildir-utils_0.7-2_amd64.deb
  to main/m/maildir-utils/maildir-utils_0.7-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 578806@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Norbert Preining <preining@debian.org> (supplier of updated maildir-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 02 Nov 2010 00:08:03 +0900
Source: maildir-utils
Binary: maildir-utils
Architecture: source amd64
Version: 0.7-2
Distribution: unstable
Urgency: low
Maintainer: Norbert Preining <preining@debian.org>
Changed-By: Norbert Preining <preining@debian.org>
Description: 
 maildir-utils - Set of utilities to deal with Maildirs (upstream name mu)
Closes: 578806 601072
Changes: 
 maildir-utils (0.7-2) unstable; urgency=low
 .
   * fix broken search of msgids, patch by Benjamin Mako Hill
     (closes: #601072) (included upstream)
   * fix clearing of symlinks, patch by Antonin Kral (upstream issue 28)
     (closes: #578806)
   * bump standards version to 3.9.1, no changes necessary
Checksums-Sha1: 
 b2e2349ef88879cb496c567e0dffec6355c2a678 1230 maildir-utils_0.7-2.dsc
 c13bde034c78062921a47d349e03aec64b0e444d 5073 maildir-utils_0.7-2.diff.gz
 90f92803ec345f8199b5a90949874cb4f3c07446 50460 maildir-utils_0.7-2_amd64.deb
Checksums-Sha256: 
 e648e6f5503424debe7126623285554483d30aea32ebd8774f66ae1b5348aeca 1230 maildir-utils_0.7-2.dsc
 be9be85b1cf8522706c481f365b27d7e188545697125f139005f79d55ca6c66d 5073 maildir-utils_0.7-2.diff.gz
 8a051405b9966a75aef084b5572f2530094428d5a5a565c44a91790e035ccaf5 50460 maildir-utils_0.7-2_amd64.deb
Files: 
 3c3807a353219d0e7a41c74589384f39 1230 mail optional maildir-utils_0.7-2.dsc
 cc94f9c0edc3f4eb3479d7a47daec85d 5073 mail optional maildir-utils_0.7-2.diff.gz
 42a7cd404738d506873d62d650ad0451 50460 mail optional maildir-utils_0.7-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFMzt4f0r9KownFsJQRAua7AJ0cwtyyPxR4b5CmBIwv0xp0WBXTSQCgiUQf
cjU0GLZkMEBGPhlrwSvyP58=
=/NZQ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 10 Dec 2010 07:30:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:01:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.